diff --git a/include/osmocom/dsp/cfile.h b/include/osmocom/dsp/cfile.h
index be9392e..eab9996 100644
--- a/include/osmocom/dsp/cfile.h
+++ b/include/osmocom/dsp/cfile.h
@@ -33,7 +33,7 @@
  *  \brief Osmocom .cfile helpers header
  */
 
-#include <complex.h>
+#include "/usr/include/complex.h"
 
 /*! \brief Structure representing a currently mapped .cfile */
 struct cfile {
diff --git a/include/osmocom/dsp/cxvec.h b/include/osmocom/dsp/cxvec.h
index 063e30c..5adc771 100644
--- a/include/osmocom/dsp/cxvec.h
+++ b/include/osmocom/dsp/cxvec.h
@@ -33,7 +33,7 @@
  *  \brief Osmocom Complex vectors header
  */
 
-#include <complex.h>
+#include "/usr/include/complex.h"
 
 #define CXVEC_FLG_REAL_ONLY	(1<<0)	/*!< \brief Real values only */
 
diff --git a/include/osmocom/dsp/cxvec_math.h b/include/osmocom/dsp/cxvec_math.h
index 7e372c4..fa045b7 100644
--- a/include/osmocom/dsp/cxvec_math.h
+++ b/include/osmocom/dsp/cxvec_math.h
@@ -34,7 +34,7 @@
  *  \brief Osmocom Complex vectors math header
  */
 
-#include <complex.h>
+#include "/usr/include/complex.h"
 #include <math.h>
 
 #include <osmocom/dsp/cxvec.h>
diff --git a/include/osmocom/dsp/iqbal.h b/include/osmocom/dsp/iqbal.h
index c7f7e60..5b2b037 100644
--- a/include/osmocom/dsp/iqbal.h
+++ b/include/osmocom/dsp/iqbal.h
@@ -33,7 +33,7 @@
  *  \brief Osmocom IQ balance utils header
  */
 
-#include <complex.h>
+#include "/usr/include/complex.h"
 
 #include <osmocom/dsp/cxvec.h>
 
diff --git a/src/cfile.c b/src/cfile.c
index 4fa927f..beae845 100644
--- a/src/cfile.c
+++ b/src/cfile.c
@@ -30,7 +30,7 @@
  *  \brief Osmocom .cfile helpers implementation
  */
 
-#include <complex.h>
+#include "/usr/include/complex.h"
 #include <fcntl.h>
 #include <stdio.h>
 #include <stdlib.h>
diff --git a/src/cxvec.c b/src/cxvec.c
index fcda8af..f6f0a9b 100644
--- a/src/cxvec.c
+++ b/src/cxvec.c
@@ -30,7 +30,7 @@
  *  \brief Osmocom Complex vectors implementation
  */
 
-#include <complex.h>
+#include "/usr/include/complex.h"
 #include <math.h>
 #include <stdio.h>
 #include <stdlib.h>
diff --git a/src/cxvec_math.c b/src/cxvec_math.c
index 64e2d1b..24ecb58 100644
--- a/src/cxvec_math.c
+++ b/src/cxvec_math.c
@@ -30,7 +30,7 @@
  *  \brief Osmocom Complex vectors math implementation
  */
 
-#include <complex.h>
+#include "/usr/include/complex.h"
 #include <math.h>
 #include <stdio.h>
 #include <stdlib.h>
diff --git a/src/iqbal.c b/src/iqbal.c
index e5432f9..f62db05 100644
--- a/src/iqbal.c
+++ b/src/iqbal.c
@@ -40,7 +40,7 @@
  *   - Optimization based on steepest gradient with dynamic step size
  */
 
-#include <complex.h>
+#include "/usr/include/complex.h"
 #include <stdlib.h>
 #include <string.h>
 
